{
  "description": "NamedResourcesAttribute is a combination of an attribute name and its value.",
  "properties": {
    "bool": {
      "description": "BoolValue is a true/false value.",
      "type": [
        "boolean",
        "null"
      ]
    },
    "int": {
      "description": "IntValue is a 64-bit integer.",
      "format": "int64",
      "type": [
        "integer",
        "null"
      ]
    },
    "intSlice": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.resource.v1alpha2.NamedResourcesIntSlice",
      "description": "IntSliceValue is an array of 64-bit integers."
    },
    "name": {
      "description": "Name is unique identifier among all resource instances managed by the driver on the node. It must be a DNS subdomain.",
      "type": [
        "string",
        "null"
      ]
    },
    "quantity": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.api.resource.Quantity",
      "description": "QuantityValue is a quantity."
    },
    "string": {
      "description": "StringValue is a string.",
      "type": [
        "string",
        "null"
      ]
    },
    "stringSlice": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.resource.v1alpha2.NamedResourcesStringSlice",
      "description": "StringSliceValue is an array of strings."
    },
    "version": {
      "description": "VersionValue is a semantic version according to semver.org spec 2.0.0.",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "name"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/namedresourcesattribute/resource/v1alpha2"
}